<?php
add_action('admin_menu', 'manifest_menu');
add_action('admin_init', 'register_manifest_settings');

function manifest_menu() {
	add_menu_page(
	//add_options_page(
		'Cache Manifest Settings', //page title
		'Manifest Settings', // Menu Title
		'manage_options', // rights
		'manifest-builder-plugin', //unique
		'manifest_options'
	);
	//call function
}

function manifest_options() {
	if ( ! current_user_can('manage_options')) 
	{
		wp_die(__('You do not have sufficient permissions to access this page.'));
	}
	
	if( isset($_POST['refresh_cache'])
	 && $_POST['refresh_cache'] === 'Just Refresh Cache Manifest')
	{
		global $manifest_plugin;
		$manifest_plugin->manifestinate();
	} elseif( isset($_POST['manifest_custom_files'])
	 && isset($_POST['manifest_fallback_files']))
	{
		update_option('manifest_custom_files', $_POST['manifest_custom_files']);
		update_option('manifest_fallback_files', $_POST['manifest_fallback_files']);
	}
	
	echo '<div class="manifest-builder">';
	echo '<form method="post" action="">';
	
	settings_fields('manifest-setting-grp');
	
	echo '<h4>Define your custom files for caching here (one file each line):</h4>';
	echo '<textarea cols="80" rows="15" name="manifest_custom_files" id="manifest_custom_files">' . get_option('manifest_custom_files') . '</textarea>';
	echo '<h4>Define your fallbacks here in separate lines (i.e. "/ /offline.html"):</h4>';
	echo '<textarea cols="80" rows="15" name="manifest_fallback_files" id="manifest_fallback_files">' . get_option('manifest_fallback_files') . '</textarea>';
	
	do_settings_fields('manifest-builder-plugin', 'manifest-setting-grp');
	submit_button();
	echo '<input type="submit" name="refresh_cache" value="Just Refresh Cache Manifest" />';
	echo '</form>';
	echo '</div>';
}

function register_manifest_settings() {
	register_setting('manifest-setting-grp', 'manifest_custom_files');
	register_setting('manifest-setting-grp', 'manifest_fallback_files');
}
?>